<?PHP
# TMEMBER ( TriggerTGs Member-Script)
# support @ www.TriggerTG.de & mail@TriggerTG.de
# bbcode.inc.php // last modified @ 17.11.02

function bbcode($eintrag)
{
  $eintrag = eregi_replace("\[b\]", "<b>", $eintrag);
  $eintrag = eregi_replace("\[/b\]", "</b>", $eintrag);
  $eintrag = eregi_replace("\[i\]", "<i>", $eintrag);
  $eintrag = eregi_replace("\[/i\]", "</i>", $eintrag);
  $eintrag = eregi_replace("\[u\]", "<u>", $eintrag);
  $eintrag = eregi_replace("\[/u\]", "</u>", $eintrag);
  $eintrag = eregi_replace("\[img\]([^\['\(\)]+)\[/img\]", "<img src=\"\\1\" border=\"0\">", $eintrag);
  $eintrag=eregi_replace("\\[url=\"([^\"]*)\"\\]([^\\[]*)\\[\\/url\\]","<a href=\"\\1\" target=_blank>\\2</a>",$eintrag);
  $eintrag=eregi_replace("\\[url=([^\"]*)\\]([^\\[]*)\\[\\/url\\]","<a href=\"\\1\" target=_blank>\\2</a>",$eintrag);
  $eintrag=eregi_replace("\\[email\\]([^\\[]*)\\[/email\\]","<a href=\"mailto:\\1\">\\1</a>",$eintrag);
  $eintrag = str_replace("[img]","<img border=0 src=",$eintrag);
  $eintrag = str_replace("[/img]","> ",$eintrag);
  $eintrag = eregi_replace("\[color=([\#a-zA-Z0-9]+)]([^\[]+)\[/color\]", "<font color=\"\\1\">\\2</font>", $eintrag);
  return $eintrag;
}

function smiley($eintrag)
{
  $eintrag = str_replace(":)","<img src=\"smiley/smile.gif\" border=0>", $eintrag);
  $eintrag = str_replace("???","<img src=\"smiley/confused.gif\" border=0>", $eintrag);
  $eintrag = str_replace("8)","<img src=\"smiley/cool.gif\" border=0>", $eintrag);
  $eintrag = str_replace(";(","<img src=\"smiley/cry.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":o","<img src=\"smiley/eek.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":O","<img src=\"smiley/eek.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":rolleyes:","<img src=\"smiley/eyes.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":(","<img src=\"smiley/frown.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":D","<img src=\"smiley/grin.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":hehe:","<img src=\"smiley/hehe.gif\" border=0>", $eintrag);
  $eintrag = str_replace("o.O","<img src=\"smiley/confused.gif\" border=0>", $eintrag);
  $eintrag = str_replace("O.o","<img src=\"smiley/confused.gif\" border=0>", $eintrag);
  $eintrag = str_replace("O_o","<img src=\"smiley/confused.gif\" border=0>", $eintrag);
  $eintrag = str_replace("o_O","<img src=\"smiley/confused.gif\" border=0>", $eintrag);
  $eintrag = str_replace("o-O","<img src=\"smiley/confused.gif\" border=0>", $eintrag);
  $eintrag = str_replace("O-O","<img src=\"smiley/confused.gif\" border=0>", $eintrag);
  $eintrag = str_replace("o,O","<img src=\"smiley/confused.gif\" border=0>", $eintrag);
  $eintrag = str_replace("*grr*","<img src=\"smiley/mad.gif\" border=0>", $eintrag);
  $eintrag = str_replace(">(","<img src=\"smiley/mad.gif\" border=0>", $eintrag);
  $eintrag = str_replace("*lol*","<img src=\"smiley/lol.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":no:","<img src=\"smiley/negative.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":yes:","<img src=\"smiley/positive.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":P","<img src=\"smiley/razz.gif\" border=0>", $eintrag);
  $eintrag = str_replace(";)","<img src=\"smiley/wink.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":-)","<img src=\"smiley/smile.gif\" border=0>", $eintrag);
  $eintrag = str_replace("???","<img src=\"smiley/confused.gif\" border=0>", $eintrag);
  $eintrag = str_replace("8-)","<img src=\"smiley/cool.gif\" border=0>", $eintrag);
  $eintrag = str_replace(";-(","<img src=\"smiley/cry.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":-(","<img src=\"smiley/frown.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":-O","<img src=\"smiley/eek.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":-o","<img src=\"smiley/eek.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":-D","<img src=\"smiley/grin.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":-/","<img src=\"smiley/hmm.gif\" border=0>", $eintrag);
  $eintrag = str_replace(":-P","<img src=\"smiley/razz.gif\" border=0>", $eintrag);
  $eintrag = str_replace(";-)","<img src=\"smiley/wink.gif\" border=0>", $eintrag);
  return $eintrag;
}

// Template-Funktionen
function tplload($file)
{
    // ffnet Datei und weit den Inhalt spter einer Datei zu
  if($fp = @fopen($file, "r"))
  {
    $tpl = fread($fp, filesize ($file));
    fclose ($fp);
  }
  else $tpl = "Template konnte nicht geffnet werden ($file)";

  return $tpl;

}
function tplprint($tpl, $repla)
{
  foreach($repla as $key=>$elem)
  {
    $tpl = str_replace("{".$key."}", $elem, $tpl);
  }
  return $tpl;

}
// checkmail funktion
function checkmail($mail)
  {
    if(strstr($mail, "@"))
    {
      $mail = explode ("@", $mail);
      if(strstr($mail[1], ".")) return TRUE;
    }
  }
//check wordlength
function checkwordlength ($eintrag) {
global $maxchars;
$zulang = FALSE;
 foreach(explode(" ",str_replace("\n"," ",$eintrag)) as $word) {
    if (strlen($word)>$maxchars and stristr($word,www) == FALSE and stristr($word,http) == FALSE) {
       $zulang=TRUE;
    }
 }
 return $zulang;
}
// cookiefunktion
function tage ($anzahl) {
                $sekunden = time()+ 3600 * 24 * $anzahl;
                return $sekunden;
        }
?>
